@echo off

cls
cd windows

choice "Do you agree to the terms and conditions in the README? "

if errorlevel 2 goto quit

cls

:menu
echo.
echo    Which SPL Would you like to flash?
echo.
echo.
echo         1... Dualboot with Native Firmware Priority
echo.
echo         2... Dualboot with Linux boot Priority
echo.
echo         3... Original SPL (no dualboot)
echo.
echo         4... Quit
echo.
echo.
choice /c:1234 /n "      Please enter your choice "

if errorlevel 4 goto quit
if errorlevel 3 goto original
if errorlevel 2 goto linux
if errorlevel 1 goto native

:native
copy 1 install
goto burn

:linux
copy 2 install
goto burn

:original
copy 0 install
goto burn

:burn
cls
echo Ready to write the new SPL to your Dingoo.
echo.
echo Please boot your Dingoo into usb mode (hold B while turning on OR hold B while
echo pressing the reset button.)
echo.
echo When in usb mode, plug your dingoo into the computer.
echo.
pause
echo.
echo.
echo.
echo When you see the prompt "USBBoot :>" please enter the following command
echo exactly as it appears below:
echo.
echo       run install
echo.
pause
usb_boot
echo.
del install
echo.
echo.
echo.
echo.
echo If all has worked correctly, your Dingoo may now be reset and you should see
echo the Dingux splash screen.
echo.
echo If there are problems (it doesn't boot correctly, it hangs, etc.) please try
echo repeating this process, try different options.
echo For a last resort, reflash using a normal unbricking tool, and please report
echo any errors and a full description of the problem.
echo.
pause

:quit
echo.
echo.
echo Exiting...
cd ..


